#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
int main()
{
    ll n;
    cin>>n;
    vector<ll> a(n);
    vector<ll> b(n);
    for(int i=0; i<n; i++){
        if((i%2)==0){
            a[i]=n-i/2;
        }
        else{
            a[i]=2*n-i/2;
        }
    }
    vector<ll> c(n);
    for(int i=0; i<n; i++){
        c[i]=a[i];
    }
    sort(c.begin(), c.end());
    vector<ll> d(n);
    for(int i=0; i<n; i++){
        d[i]=c[n-1-i];
    }
    ll k=0;
    for(int i=0; i<n; i++){
        if(d[i]<(2*n-i)){
            k=2*n-i;
            break;
        }
        }
        ll m=0;
        m=n/2;
    for(int i=0; i<n; i++){
        if(i%2==0){
            b[i]=k-i/2;
        }
        else{
            b[i]=m-i/2;
        }
    }
    for(auto x:a){
        cout<<x<<" ";
    }
    cout<<endl;
    for(auto x:b){
        cout<<x<<" ";
    }
    cout<<endl;
    return 0;
}